> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace bans



## OpenAPI

````yaml get /games/bans
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /games/bans:
    get:
      tags:
        - games
      summary: Get workspace bans
      operationId: getWorkspaceBans
      parameters: []
      responses:
        '200':
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  bans:
                    type: array
                    items:
                      $ref: '#/components/schemas/Ban'
                required:
                  - success
                  - bans
        '500':
          $ref: '#/components/responses/InternalServerErrror'
      security:
        - loader-id: []
components:
  schemas:
    Ban:
      type: object
      properties:
        _id:
          type: string
        groupId:
          type: string
        userId:
          type: string
        reason:
          type: string
        disciplinarianId:
          type: string
        active:
          type: string
        created:
          type: boolean
        expires:
          type: string
      required:
        - expires
      description: Workspace bans
  responses:
    InternalServerErrror:
      description: >-
        The server encountered an unexpected condition that prevented it from
        fulfilling the request. Report the issue to the support team if it
        persists.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              reason:
                type: string
            required:
              - success
              - reason
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````